summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Schweizer <genstef@gentoo.org>2005-05-16 08:46:39 +0000
committerStefan Schweizer <genstef@gentoo.org>2005-05-16 08:46:39 +0000
commitf272fa7b1be2df853fe665abb401ef1639199443 (patch)
treeb6e16d9702f8b3bbdcfd704492435b2ef0c870df /net-dialup/capisuite
parentVersion Bump adding debian patches since the upstream maintainer is dead, ~amd64 (diff)
downloadgentoo-2-f272fa7b1be2df853fe665abb401ef1639199443.tar.gz
gentoo-2-f272fa7b1be2df853fe665abb401ef1639199443.tar.bz2
gentoo-2-f272fa7b1be2df853fe665abb401ef1639199443.zip
Oops, add initscript
(Portage version: 1.589-cvs)
Diffstat (limited to 'net-dialup/capisuite')
-rw-r--r--net-dialup/capisuite/files/capisuite.initd58
1 files changed, 58 insertions, 0 deletions
diff --git a/net-dialup/capisuite/files/capisuite.initd b/net-dialup/capisuite/files/capisuite.initd
new file mode 100644
index 000000000000..1b9af8a9843b
--- /dev/null
+++ b/net-dialup/capisuite/files/capisuite.initd
@@ -0,0 +1,58 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-dialup/capisuite/files/capisuite.initd,v 1.1 2005/05/16 08:46:39 genstef Exp $
+
+opts="reload"
+
+depend() {
+ need capi
+}
+
+checkconfig() {
+ local conf_fax conf_voice sec rest
+ # Check if there are configured users for fax or
+ # answering machine. Otherwise exit.
+ # IMPORTANT: Change this or comment it out if you want to use
+ # your own CapiSuite scripts.
+ while read -r sec rest; do
+ if [ "${sec:0:1}" = "[" -a "$sec" != "[GLOBAL]" ]; then
+ conf_fax=yes
+ break
+ fi
+ done < /etc/capisuite/fax.conf
+ while read -r sec rest; do
+ if [ "${sec:0:1}" = "[" -a "$sec" != "[GLOBAL]" ]; then
+ conf_voice=yes
+ break
+ fi
+ done < /etc/capisuite/answering_machine.conf
+ # end check for configured users
+
+ if ! [ "$conf_fax" -o "$conf_voice" ]; then
+ eerror "Please configure CapiSuite first!"
+ return 1
+ fi
+
+ return 0
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting CapiSuite"
+ start-stop-daemon --start --quiet --exec /usr/sbin/capisuite -- -d
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping CapiSuite"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/capisuite --retry 10 --signal TERM >/dev/null
+ eend $?
+}
+
+reload() {
+ ebegin "Reload CapiSuite"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/capisuite --signal HUP
+ eend $?
+}